com.microfocus.awm.control.toolexecution.internal

## Class StringInputParameter

- java.lang.Object
- - com.microfocus.awm.control.toolexecution.internal.AbstractToolParameter
  - - com.microfocus.awm.control.toolexecution.internal.StringInputParameter

- All Implemented Interfaces:
    IDynamicObject, IPropertyParameter, IStringInputParameter, IToolInputParameter, IToolParameter

      public class StringInputParameter
      extends AbstractToolParameter
      implements IStringInputParameter

  Implementation for input parameters of the type `EParameterTypes.STRING`.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringInputParameter(RToolInParameter pModeledInputParameter, Property pTargetID, java.lang.String pValue)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RToolInParameter` | `getModelObject()` Gets the model object.
    `java.lang.String` | `getParameterValue()` The parameter's resolved value.
    `Property` | `getTargetID()`

    - ### Methods inherited from class com.microfocus.awm.control.toolexecution.internal.AbstractToolParameter

      `getAttributes, isMassProcessingParameter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolParameter

      `isMassProcessingParameter`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IDynamicObject

      `getAttributes, getAttributeValue, getComplexAttributes`

- - ### Constructor Detail

    - #### StringInputParameter

          public StringInputParameter(RToolInParameter pModeledInputParameter,
                                      Property pTargetID,
                                      java.lang.String pValue)

      Constructor.
      Parameters:
        `pModeledInputParameter` - the modeled input parameter
        `pTargetID` - target property
        `pValue` - the resolved parameter value

  - ### Method Detail

    - #### getParameterValue

          public java.lang.String getParameterValue()

      Description copied from interface: `IToolInputParameter`
      The parameter's resolved value.
      Specified by:
        `getParameterValue` in interface `IStringInputParameter`
      Specified by:
        `getParameterValue` in interface `IToolInputParameter`
      Returns:
        the parameter value

    - #### getTargetID

          public Property getTargetID()

      Specified by:
        `getTargetID` in interface `IPropertyParameter`
      Specified by:
        `getTargetID` in interface `IToolParameter`
      Overrides:
        `getTargetID` in class `AbstractToolParameter`
      Returns:
        the target ID, which can be `null`

    - #### getModelObject

          public RToolInParameter getModelObject()

      Description copied from interface: `IDynamicObject`
      Gets the model object.
      Specified by:
        `getModelObject` in interface `IDynamicObject`
      Specified by:
        `getModelObject` in interface `IToolInputParameter`
      Specified by:
        `getModelObject` in interface `IToolParameter`
      Overrides:
        `getModelObject` in class `AbstractToolParameter`
      Returns:
        the model object

Copyright © 2015 Micro Focus GmbH. All rights reserved.